
Figure - Bug #115274
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT2】【系统手势】打开应用（以文件为例），在应用界面上滑停顿，手指不松,其余三指或四指
从顶部向下滑动，会出现文件缩小定在桌面中间，点击桌面无反应
2023-01-12 16:14 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-12

Priority: Normal Due date: 2023-02-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

Reproducibility: Every time Fixed Version: 2023-02-04

Test Type: ST Root cause: 问题原因：��正常手势执行过程中，多指手势被识别，影响了正常手势的后续逻辑。��问题处理：��在正常手势执行过程中，拦截多指手势的识别

Description

【前提条件】

1、设备已开机

【测试步骤】以文件为例

1.点击文件

2.一根手指底部上滑停顿

3.手指不松，其余手指顶部向下滑动

【预期结果】

3、无冲突现象

【实际结果】

3、文件缩小定在桌面中央，此时操作桌面无反应，打开控制中心，或底部，左右边缘滑动返回桌面

History

#1 - 2023-01-12 19:52 - CD APP-王营

- Due date set to 2023-02-10

#2 - 2023-01-17 19:50 - CD TEST-方永红

- Category changed from CD-APP to 客户jira bug

#3 - 2023-01-18 16:58 - CD TEST-方永红

- Category changed from 客户jira bug to CD-APP

#4 - 2023-01-29 10:16 - CD APP-王营

- Status changed from New to ASSIGNED

#5 - 2023-02-01 20:14 - CD APP-王营

- Due date changed from 2023-02-10 to 2023-02-03

- Assignee changed from CD APP-王营 to CD FW王武军

#6 - 2023-02-03 15:55 - CD FW王武军
■ 当前状态

复现问题现象，明确问题

■ 分析情况

该问题现象的发生，是在正常手势工作过程中，因为又发生了多指手势的识别，导致正常手势的逻辑工作异常

■ 计划策略

在正常手势工作工程中，还未释放当前手势逻辑时，拦截多指手势的识别逻辑。

#7 - 2023-02-03 18:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179292 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

FW:Gesture:Fix mutil gesture cause issueWhen normal gesture working, the mutil gestureif recognise cause normal gesture error, so needintercept the mutil

gesture.TC-RID: 1201-0205201IssueID: TS-R-BUG-115274Change-Id: I30c400f0c96160376685cf884a728ec47dbbe2fa

#8 - 2023-02-03 18:42 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100

- Fixed Version set to 2023-02-04

- Root cause set to 问题原因：

正常手势执行过程中，多指手势被识别，影响了正常手势的后续逻辑。

问题处理：

在正常手势执行过程中，拦截多指手势的识别

#9 - 2023-02-06 11:45 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

2.6

验证通过

#10 - 2023-02-06 11:45 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#11 - 2023-02-06 16:05 - CD FW王武军

- Resolution changed from -- to FIXED

Files

应用中底部上滑后，其他手指顶部下滑后应用卡在屏幕中央.mp4 15.7 MB 2023-01-12 CD TEST-方永红
